Bug 83467 - F11 keyboard shortcut for fullscreen rather than styles & formatting dialog
Summary: F11 keyboard shortcut for fullscreen rather than styles & formatting dialog
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2014-09-04 00:13 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-02-06 19:29 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-04 00:13:07 UTC
Came across this tweet just now < https://twitter.com/TheEvanCarroll/status/506958873786187776 >

@libreoffice F11 is Full Screen. This is universal on windows/linux. PLEASE FIX. =( https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/891539 )

Which lead me to the UX mailing list thread < http://lists.freedesktop.org/archives/libreoffice-ux-advise/2011-November/thread.html#538 >, which at the end of it bjoern said on 2011-11-21:

I wont change this one week before branch-off of 3.5 as it also needs changes in
documentation etc. IMHO this no urgent change, so I will upstream the bug
tommorrow, we can wait a few days for further comments and when we have a
consistent proposal I make it an Easy Hack. If that does not get fixed in a few
months Ill fix it myself.

And during the thread UX discussion, Christoph mentioned the keys used by different UIs on wikipedia < http://en.wikipedia.org/wiki/Table_of_keyboard_shortcuts#Window_management >, where windows, gnome and kde use F11 for fullscreen and mac uses Cmd+Shift+F.

So was there any other discussions of this issue somewhere else or in another bug report?
Comment 1 Urmas 2014-09-04 05:29:06 UTC
You cannot change fundamental key assignments without a good reason. Replacement the core Styles feature with marginally used fullscreen is NOT the one.
Comment 2 tommy27 2014-12-14 13:26:14 UTC
I set status to NEW to this enhancement request but I'm against changing this one.

F11 has always been "Styles and Formatting" since OOo era and many users use that a lot.

the fact that other softwares use that for fullscreen is not a good reason to change the behaviour.

if people wants F11 for fullscreen they can customize their own LO shortcut lists but I'm against changing the default setup just to match other softwares.

let's hear what the UX team thinks about it.
I'm in favour of a WONTFIX
Comment 3 Cor Nouws 2014-12-14 21:27:13 UTC
(In reply to tommy27 from comment #2)

> I'm in favour of a WONTFIX

++1

+ that Styles and formatting is much more important then full screen
(and we've had this discussion more then once in the past, by the way ;)
Comment 4 Yousuf Philips (jay) (retired) 2014-12-18 14:09:19 UTC
Was discussed in this week's design meeting and it was decided that it is best to leave it as is.
Comment 5 andreas_k 2019-01-23 17:19:07 UTC
I'd like to open this bug again, not because Styles and Formatting Sidebar should not have an good shortcut, because F11 is the fullscreen shortcut in 90 % of the apps that has an fullscreen function. I'm thinking on Firefox, Chrome, Adobe, Products, PDF XChange, Inkscape, Notepad ++, ...

For me the ONLY reason why Styles and Formatting Sidebar should have the shortcut F11 is, cause it was always F11, but if you have a new user nobody would know that Ctrl + Shift + J (What is the J for?) would be Fullscreen mode.
Comment 6 V Stuart Foote 2019-01-23 18:25:30 UTC Comment hidden (obsolete)
Comment 7 V Stuart Foote 2019-01-23 18:33:37 UTC
Note to self --must reread before posting...

Timing is fine for the 6.2 -> 6.3 cut over, but we are another 5 years of "legacy" use of <F11> shortcut for Stylist, now as a Sidebar deck.

Have the comments in the 2014-12-17 Design meeting [1]. But it is true that F11's role for Full screen has become common practice [2] -- except macOS <CMD><SHFIT>+F.

And that the LO Communities comments in 2011 on Ubuntu bug 891539 [3][4] suggesting a <Ctrl>+T, to match <CMD>+T, of OSX for the Style & Formatting dialog to free up <F11> for use as Full screen toggle.

But some finesse needed for the associated actions -- current use of <F11>, or <Ctrl>+T with modifiers. And we might also take a look at macOS support for using <FN>+<F11> in addition to <CMD>+<SHIFT>+F, for keyboards that support it.

<Ctrl><Shift>+J shotcut assignment can stay for legacy I guess.

So, I am OK with doing this, but it needs to be tested well and then documented/published as a change at the major release. 

=-ref-=
[1] https://wiki.documentfoundation.org/Design/Meetings/2014-12-17
[2] https://en.wikipedia.org/wiki/Table_of_keyboard_shortcuts#Window_management
[3] https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/891539
[4] https://lists.freedesktop.org/archives/libreoffice-ux-advise/2011-November/000521.html
Comment 8 Heiko Tietze 2019-01-23 19:03:00 UTC
We cannot change one shortcut only. The function key goes along with F10, F6, F5 etc. all used typically in a different way but consistent in LibreOffice. What I could imagine is when we make the shortcuts extensionable to ship different layouts. Until then I'm for WF.